Skip to main content
Api

Onboarding

Claim a trial tenant into your account

POST
/onboarding/claim

Authorization

bearerClerk
AuthorizationBearer <token>

Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

claim_token*string

The claim token from the claim link

Response Body

application/json

application/problem+json

curl -X POST "https://loading/api/v1/onboarding/claim" \  -H "Content-Type: application/json" \  -d '{    "claim_token": "string"  }'
{
  "$schema": "/api/v1/schemas/ClaimResult.json",
  "agent_id": "string",
  "agent_name": "string",
  "clerk_org_id": "string",
  "status": "string",
  "tenant_id": "string"
}
{
  "$schema": "/api/v1/schemas/ErrorModel.json",
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
POST
/onboarding/claim-link
AuthorizationBearer <token>

API key issued to a Sonzai project. Format: Bearer sk_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

curl -X POST "https://loading/api/v1/onboarding/claim-link" \  -H "Content-Type: application/json" \  -d '{}'
{
  "$schema": "/api/v1/schemas/ClaimLinkOutputBody.json",
  "claim_url": "string",
  "expires_at": "string"
}
{
  "$schema": "/api/v1/schemas/ErrorModel.json",
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}